Skip to content

Update User

Request

Update an end-user by their ID.

Security
BearerAuth
Bodyapplication/json
user_idstring

ID of the end-user in your system

Example:"user_123"
attributesobject(CustomAttributes)

Attributes associated with the end-user

Example:
{ "plan_type": "enterprise", "signup_date": "2024-01-15", "is_premium": true }
POST
/update_user
curl -i -X POST \
  https://helpdesk.example.com/api/fin/update_user \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "user_id": "user_123",
    "attributes": {
      "plan_type": "enterprise",
      "signup_date": "2024-01-15",
      "is_premium": true
    }
  }'

Responses

User updated successfully

Bodyapplication/json
dataobject(EndUser)

End user having a conversation with Fin or with an agent.

errorobject or null(ProblemDetails)

The error returned by the API. This is an RFC 7807 problem details object: https://www.rfc-editor.org/rfc/rfc7807.html.

Response
{ "data": { "id": "user_123", "name": "John Doe", "email": "john.doe@example.com", "photo_url": "https://example.com/avatars/john.jpg", "user_type": "end_user", "attributes": { … } } }